
QGIS Application - Bug report #22127

When clearing a field, default value is not applied, instead QGIS attepts to insert the UI text hint

2019-05-23 02:52 AM - Cory Albrecht

Status: Feedback

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:3.6.2 Regression?: No

Operating System: Ubuntu 18.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29938

Description

Instead of generating a new default value, QGIS tries to insert the hint used to show what will be generated.

2019-05-22T20:47:09     WARNING    Erroneous query: UPDATE "Balance of Power"."timeline-countries" SET

"feature_uuid"='uuid_generate_v4()',"country_uuid"='uuid_generate_v4()',"alternate_name"=E'{}',"full_name"=E'{}' WHERE

"feature_uuid"::text='59f16d38-2b77-4b3f-8cad-436026d3b5e7' returned 7 [ERROR: invalid input syntax for uuid:

"uuid_generate_v4()" 

             LINE 1: ...of Power"."timeline-countries" SET "feature_uuid"='uuid_gene...

              ^

             ]

Noosa 3.6.2-6f76857

History

#1 - 2019-05-23 11:26 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please provide detailed steps to replicate.
